List CRM object records
curl --request GET \
--url https://public-api.frictio.ai/v2/objects/{object}/records \
--header 'X-Api-Key: <api-key>' \
--header 'X-Workspace-Id: <x-workspace-id>'import requests
url = "https://public-api.frictio.ai/v2/objects/{object}/records"
headers = {
"X-Workspace-Id": "<x-workspace-id>",
"X-Api-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Workspace-Id': '<x-workspace-id>', 'X-Api-Key': '<api-key>'}
};
fetch('https://public-api.frictio.ai/v2/objects/{object}/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"object": "deal",
"visibility": "workspace",
"fields": {
"name": "Acme",
"pipeline_id": "pipe-1",
"amount": "1200.50",
"my_note": "hello"
},
"created_at": "<string>",
"updated_at": "<string>",
"created_by": {
"name": "<string>"
},
"updated_by": {
"name": "<string>"
}
}
],
"page_info": {
"end_cursor": "<string>",
"has_next_page": true
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"statusCode": 401,
"message": "Invalid API key",
"error": "Unauthorized"
}{
"statusCode": 403,
"message": "Forbidden"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"statusCode": 429,
"message": "Too Many Requests"
}API Reference
List CRM object records
特定の CRM オブジェクトのレコード一覧を取得します。
ワークスペースに公開されているレコードのみ返します。
クエリパラメータは limit / cursor のみ受け付けます(未知のパラメータは 400)。
GET
/
v2
/
objects
/
{object}
/
records
List CRM object records
Authorizations
Headers
ワークスペースID
Path Parameters
GET /v2/objects のレスポンスに含まれる data[].name を指定します。
Available options:
deal, pipeline, stage Query Parameters
1–100(デフォルト30)
Required range:
1 <= x <= 100次ページ取得用カーソル
⌘I